Upgrade 4.1.1 to 5.0.1 filters for issues do not work
2022-08-16 00:01 - Gary Aitken

Status: Closed Start date:
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 5.0.1

Description
When upgrading a redmine 4.1.1 to 5.0.1, the filters and options displays don't work.

| have a 4.1.1 which had plugins installed. After uninstalling all plugins, | dumped the db and saved the schema.db.

On a different machine+os, | installed 5.0.1, reloaded the saved db, copied the saved schema.rb, and did a migrate. The resulting rm
appears to work ok (I have only done minimal testing), except that when you click on the "Issues" tab for a project:

1. The checkbox, "Status" & "Open" dropdown does not appear below "Filters"

2. Clicking on the "Filters" label has no affect;

3. The add filter dropdown displays, but adding a filter does not add anything to the filters disp
lay.

4. Clicking on "Options" has no effect.

(Clicking "New issue" seems to work.)

4.1.1 system:
redmine 4.1.1
rails 5.2.4.2
mysgl 5.7
ruby 2.6.6-p46
ubuntu-18.04

5.0.1 system:
redmine 5.0.1
rails 6.1.6
mysgl 5.7
ruby 3.0.4-p208
ubuntu-20.04

A diff of the migrated schema.db and the 4.1.1 schema.db shows many lines of the form:

15cl15
< create_table "accounts", id: :integer, charset: "utf8mb4", force: :cascade do |t]

> create_table "accounts", id: :integer, options: "ENGINE=InnoDB DEFAULT CHARSET=utf8mb4", force
:cascade do |t

and a few like:

105c105
< t.text "filter", size: :medium
> t.text "filter", limit: 16777215

144,145c144,145

< t.text "path", size: :medium, null: false

< t.text "from_path", size: :medium

> t.text "path", limit: 16777215, null: false
> t.text "from_path", limit: 16777215

164clo64
< t.text "comments", size: :long

> t.text "comments", limit: 4294967295

History

#1 - 2022-08-20 02:45 - Gary Aitken

- Status changed from New to Resolved

| am not sure what caused the above problem, but | think it may be related to using chruby as the ruby manager. | removed chruby and related cruft,
including rubies; then installed as root | installed rvm, ruby 3.0.4, and passenger 6.0.14. As a normal user | then installed ruby 3.0.4 and redmine and
all seems fine.

#2 - 2022-08-20 06:11 - Mischa The Evil
- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.
